package com.jh.core.security;

import java.util.Collection;

import org.springframework.security.authentication.AbstractAuthenticationToken;
import org.springframework.security.core.GrantedAuthority;

import com.jh.core.security.model.AppUser;

public class AppUserAuthentication extends AbstractAuthenticationToken {
	
	private static final long serialVersionUID = 1L;

	private AppUser user;
	
	public AppUserAuthentication(AppUser user, Collection<? extends GrantedAuthority> authorities) {
		super(authorities);
		this.user = user;
	}

	@Override
	public Object getCredentials() {
		return null;
	}

	@Override
	public Object getPrincipal() {
		return user;
	}

	public AppUser getUser() {
		return user;
	}

	@Override
	public boolean isAuthenticated() {
		return true;
	}


	
}
