package com.jh.core.security;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import com.jh.core.security.model.AppUser;

@Repository
public interface AppUserRepository extends JpaRepository<AppUser, Long> {

	@Query("select au from AppUser au where lower(au.login) = :login and (au.deleted is null or au.deleted = false)")
	AppUser findByLogin(@Param("login") String login);
	
}
